Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi
Interface Repository

All Superinterfaces:
  Serializable

public interface Repository
extends Serializable

Represents a content repository and facilitates connecting to it.

Method Summary
`Ticket` | `connect(Credentials credentials)` Returns a ticket if the user can be authenticated.
`Ticket` | `connect(String username, String password)` Returns a ticket if the user can be authenticated.
`String` | `getName()` Gets the name of this Repository.
`Properties` | `getProperties()` Gets the configuration properties for this repository.
`void` | `setName(String name)` Sets the name of this Repository.
`void` | `setProperties(Properties properties)` Sets the configuration properties for this repository.

Method Detail

### connect

    public Ticket connect(Credentials credentials)
                   throws AuthenticationException,
                          RepositoryException

  Returns a ticket if the user can be authenticated. The credentials is from a user that was already authenticated in the WebLogic server.

  Parameters:
    `credentials` - - the credentials of the user connecting to the Repository.
  Throws:
    `AuthenticationException` - if the authentication fails.
    `RepositoryException` - if a non-authentication error occurs.

### connect

    public Ticket connect(String username,
                          String password)
                   throws AuthenticationException,
                          RepositoryException

  Returns a ticket if the user can be authenticated.

  Parameters:
    `username` - - the username to authenticate.
    `password` - - the password for the user.
  Throws:
    `AuthenticationException` - if the authentication fails.
    `RepositoryException` - if a non-authentication error occurs.

### getName

    public String getName()

  Gets the name of this Repository.

### setName

    public void setName(String name)

  Sets the name of this Repository. This will always be set before connect is called.

### getProperties

    public Properties getProperties()

  Gets the configuration properties for this repository.

  Returns:
    Properties, the repository configuration properties.

### setProperties

    public void setProperties(Properties properties)

  Sets the configuration properties for this repository. The config map will always be set before connect is called.

  Parameters:
    `properties` - - the repository configuration properties.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved